org.eclipse.wst.jsdt.chromium.debug.core.model

## Class Value

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl
    - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase
      - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase
        - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase
          - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate
            - - org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase
              - - org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase.ValueWithLazyVariables
                - - org.eclipse.wst.jsdt.chromium.debug.core.model.Value

Direct Known Subclasses:
  ArrayValue

    public class Value
    extends ValueBase.ValueWithLazyVariables

A generic (non-array) implementation of IValue using a JsValue instance.

### Nested Class Summary

Nested Classes
`static interface` `Value.ReloadValueCallback`

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase

`ValueBase.ErrorMessageValue, ValueBase.ValueWithLazyVariables`

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`DebugElementImpl.WithConnected, DebugElementImpl.WithConnectedBase, DebugElementImpl.WithEvaluate, DebugElementImpl.WithEvaluateBase, DebugElementImpl.WithSuspended, DebugElementImpl.WithSuspendedBase`

### Constructor Summary

Constructors
`protected` `Value(EvaluateContext evaluateContext, JsValue value, org.eclipse.wst.jsdt.chromium.debug.core.model.ExpressionTracker.Node expressionNode)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Value` `asRealValue()` Downcasts to Value or return null.
`protected IVariable[]` `calculateVariables()`
`void` `computeDetailAsync(IValueDetailListener listener)` Called from Worker thread.
`static Value` `create(EvaluateContext evaluateContext, JsValue value, org.eclipse.wst.jsdt.chromium.debug.core.model.ExpressionTracker.Node expressionNode)`
`protected org.eclipse.wst.jsdt.chromium.debug.core.model.ExpressionTracker.Node` `getExpressionTrackerNode()`
`JsValue` `getJsValue()`
`java.lang.String` `getReferenceTypeName()`
`java.lang.String` `getValueString()`
`boolean` `hasVariables()`
`boolean` `isAllocated()`
`boolean` `isTruncated()`
`void` `reloadBiggerValue(Value.ReloadValueCallback callback)`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase.ValueWithLazyVariables

`getVariables`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase

`cast`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate

`getEvaluateContext`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase

`getSuspendedState`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase

`getConnectedData`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase

`getDebugTarget`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`getAdapter, getLaunch, getModelIdentifier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Value

    protected Value(EvaluateContext evaluateContext,
                    JsValue value,
                    org.eclipse.wst.jsdt.chromium.debug.core.model.ExpressionTracker.Node expressionNode)

### Method Detail

#### create

    public static Value create(EvaluateContext evaluateContext,
                               JsValue value,
                               org.eclipse.wst.jsdt.chromium.debug.core.model.ExpressionTracker.Node expressionNode)

#### getReferenceTypeName

    public java.lang.String getReferenceTypeName()
                                          throws DebugException

Throws:
  `DebugException`

#### getValueString

    public java.lang.String getValueString()

Specified by:
  `getValueString` in class `ValueBase`

#### calculateVariables

    protected IVariable[] calculateVariables()

Specified by:
  `calculateVariables` in class `ValueBase.ValueWithLazyVariables`

#### hasVariables

    public boolean hasVariables()
                         throws DebugException

Throws:
  `DebugException`

#### isAllocated

    public boolean isAllocated()
                        throws DebugException

Throws:
  `DebugException`

#### asRealValue

    public Value asRealValue()

Description copied from class: `ValueBase`
Downcasts to Value or return null.

Specified by:
  `asRealValue` in class `ValueBase`

#### getJsValue

    public JsValue getJsValue()

#### computeDetailAsync

    public void computeDetailAsync(IValueDetailListener listener)

Called from Worker thread.

Parameters:
  `listener` - will be called from various threads (its implementation is thread-safe)

#### isTruncated

    public boolean isTruncated()

#### getExpressionTrackerNode

    protected org.eclipse.wst.jsdt.chromium.debug.core.model.ExpressionTracker.Node getExpressionTrackerNode()

#### reloadBiggerValue

    public void reloadBiggerValue(Value.ReloadValueCallback callback)